## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 3;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# About:
#   https://dev.mysql.com/doc/connectors/en/connector-odbc-installation-source-unix.html
Name:           mysql-connector-odbc
Version:        8.0.40
Release:        %autorelease
Summary:        ODBC driver for MySQL
# Automatically converted from old format: GPLv2 with exceptions - review is highly recommended.
License:        LicenseRef-Callaway-GPLv2-with-exceptions
URL:            https://dev.mysql.com/downloads/connector/odbc/

Source0:        http://dev.mysql.com/get/Downloads/Connector-ODBC/8.0/%{name}-%{version}-src.tar.gz
Patch0:         myodbc-64bit.patch
Patch1:         mysql-connector-odbc-c99.patch
Patch2:         mysql-connector-odbc-pointer-type.patch

BuildRequires:  gcc
BuildRequires:  gcc-c++
BuildRequires:  cmake
BuildRequires:  community-mysql-devel >= 8
BuildRequires:  unixODBC-devel
BuildRequires:  libzstd-devel

# Required for GUI
#   GUI currently off. To switch it ON, uncomment gtk buildrequires and change CMake argument DISABLE_GUI
#   GUI does not make any sense on headless servers for example, which is a valid use case. I don't want
#   this tiny package to have dependency on X and GTK.
# BuildRequires:  gtk3-devel

%description
An ODBC (rev 3) driver for MySQL, for use with unixODBC.

%prep
%setup -q -n %{name}-%{version}-src
%patch -P0 -p1
%patch -P1 -p1
%patch -P2 -p1

%build
%cmake \
        -DCMAKE_BUILD_TYPE=RelWithDebinfo \
        -DWITH_UNIXODBC=YES \
        -DRPM_BUILD=YES \
        -DMYSQLCLIENT_STATIC_LINKING=OFF \
        -DDISABLE_GUI=YES \
        -DBUILD_SHARED_LIBS=OFF

cmake -B %_vpath_builddir -LAH

%cmake_build

%install
%cmake_install

# Remove stuff not to be packaged, this tool is for archive distribution
# https://dev.mysql.com/doc/connector-odbc/en/connector-odbc-installation-binary-unix-tarball.html
rm %{buildroot}%{_bindir}/myodbc-installer

# Remove any file in /usr
find %{buildroot}/usr/ -maxdepth 1 -type f -delete

# Create a symlink for library to offer name that users are used to
ln -sf libmyodbc8w.so %{buildroot}%{_libdir}/libmyodbc8.so

# From Fedora 34, the unixODBC package introduced a libdir subdirectory for its plugins
mkdir %{buildroot}%{_libdir}/unixODBC
mv %{buildroot}%{_libdir}/libmyodbc*.so %{buildroot}%{_libdir}/unixODBC/

# Upstream provides a test suite with functional and regression tests.
# However, some tests fail, so it would deserve some more investigation.
# We don't include the test suite until it works fine.
rm -rf %{buildroot}/usr/test

%files
%license LICENSE.txt
%doc ChangeLog README.txt
%{_libdir}/unixODBC/lib*so

%changelog
## START: Generated by rpmautospec
* Sat Nov 16 2024 Michal Schorm <mschorm@redhat.com> - 8.0.40-2
- [SPECfile cleanup] Remove obsolete conditions

* Sat Nov 16 2024 Michal Schorm <mschorm@redhat.com> - 8.0.40-1
- Rebase to 8.0.40

* Mon Sep 02 2024 Miroslav Suchý <msuchy@redhat.com> - 8.0.37-2
- convert license to SPDX

* Mon Aug 12 2024 Michal Schorm <mschorm@redhat.com> - 8.0.37-1
- Rebase to 8.0.37

* Thu Jul 18 2024 Fedora Release Engineering <releng@fedoraproject.org> - 8.0.36-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Sat Feb 03 2024 Honza Horak <hhorak@redhat.com> - 8.0.36-1
- Rebase to 8.0.36

* Thu Jan 25 2024 Fedora Release Engineering <releng@fedoraproject.org> - 8.0.35-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sun Jan 21 2024 Fedora Release Engineering <releng@fedoraproject.org> - 8.0.35-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Nov 17 2023 Michal Schorm <mschorm@redhat.com> - 8.0.35-1
- Rebase to 8.0.35

* Thu Jul 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 8.0.33-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Sun Apr 30 2023 Michal Schorm <mschorm@redhat.com> - 8.0.33-2
- Fix RPM syntax: '%%patchN' has been deprecated https://lists.fedoraprojec
  t.org/archives/list/devel@lists.fedoraproject.org/thread/VBFDPQHAHF3WG6WB
  ZR2L5GSWMW6CVTJS/

* Sun Apr 30 2023 Michal Schorm <mschorm@redhat.com> - 8.0.33-1
- Rebase to 8.0.33

* Tue Feb 07 2023 Michal Schorm <mschorm@redhat.com> - 8.0.32-1
- Rebase to verion 8.0.32

* Thu Jan 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 8.0.31-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Tue Jan 10 2023 Florian Weimer <fweimer@redhat.com> - 8.0.31-2
- C99 compatibility fixes

* Tue Oct 25 2022 Michal Schorm <mschorm@redhat.com> - 8.0.31-1
- Rebase to 8.0.31

* Fri Jul 29 2022 Lukas Javorsky <ljavorsk@redhat.com> - 8.0.30-1
- Rebase to version 8.0.30

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 8.0.28-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Fri Feb 18 2022 Michal Schorm <mschorm@redhat.com> - 8.0.28-1
- Rebase to 8.0.28

* Thu Jan 20 2022 Fedora Release Engineering <releng@fedoraproject.org> - 8.0.27-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Sun Oct 31 2021 Michal Schorm <mschorm@redhat.com> - 8.0.27-1
- Rebase to 8.0.27

* Tue Aug 17 2021 Michal Schorm <mschorm@redhat.com> - 8.0.26-1
- Rebase to 8.0.26

* Thu Jul 22 2021 Fedora Release Engineering <releng@fedoraproject.org> - 8.0.25-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Wed Jun 09 2021 Michal Schorm <mschorm@redhat.com> - 8.0.25-1
- Rebase to 8.0.25

* Wed Jun 09 2021 Michal Schorm <mschorm@redhat.com> - 8.0.24-2
- Remove bits no longer needed after F32 EOL - Enforcement of CMake out-of-
  source build

* Tue May 04 2021 Michal Schorm <mschorm@redhat.com> - 8.0.24-1
- Rebase to 8.0.24

* Tue Mar 30 2021 Jonathan Wakely <jwakely@redhat.com> - 8.0.23-2
- Rebuilt for removed libstdc++ symbol (#1937698)

* Fri Feb 05 2021 Lukas Javorsky <ljavorsk@redhat.com> - 8.0.23-1
- Rebase to 8.0.23

* Fri Feb 05 2021 Michal Schorm <mschorm@redhat.com> - 8.0.22-3
- Move the plugins to the new location to reflect fix on unixODBC side

* Tue Jan 26 2021 Fedora Release Engineering <releng@fedoraproject.org> - 8.0.22-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Thu Oct 29 2020 Michal Schorm <mschorm@redhat.com> - 8.0.22-1
- Rebase to 8.0.22

* Tue Aug 25 2020 Michal Schorm <mschorm@redhat.com> - 8.0.21-2
- Stop building "libmysql_strings.so" and "libmysql_sys.so" as dynamic
  libraries They are only used inside of this package and we don't ship
  them, so it's perfectly fine to build them statically

* Mon Aug 10 2020 Michal Schorm <mschorm@redhat.com> - 8.0.21-1
- Rebase to 8.0.21 Force the CMake change regarding the in-source builds
  also to F31 and F32 Use CMake macros instead of cmake & make direct
  commands %%%%cmake macro covers the %%%%{set_build_flags}, so they are
  not needed Use macro for buildroot path

* Tue Jul 28 2020 Fedora Release Engineering <releng@fedoraproject.org> - 8.0.20-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Tue May 12 2020 Michal Schorm <mschorm@redhat.com> - 8.0.20-1
- Rebase to 8.0.20

* Wed Jan 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 8.0.19-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Wed Jan 15 2020 Filip Januš <fjanus@redhat.com> - 8.0.19-1
- Rebase onto 8.0.19 Upstream has merged previously applied patches,
  therefore were removed mysql-connector-odbc-8.0.17.patch mysql-connector-
  odbc-8.0.18.patch Resolves:
  https://bugzilla.redhat.com/show_bug.cgi?id=1790686

* Fri Nov 15 2019 Filip Januš <fjanus@redhat.com> - 8.0.18-1
- Rebase onto 8.0.18

* Wed Sep 11 2019 Filip Januš <fjanus@redhat.com> - 8.0.17-4
- Add URL to reported bug

* Wed Sep 11 2019 Filip Januš <fjanus@redhat.com> - 8.0.17-3
- add patch note to spec

* Wed Sep 11 2019 Filip Januš <fjanus@redhat.com> - 8.0.17-2
- Add comments into patch file

* Tue Sep 10 2019 Filip Januš <fjanus@redhat.com> - 8.0.17-1
- Rebase to version 8.0.17

* Thu Jul 25 2019 Fedora Release Engineering <releng@fedoraproject.org> - 8.0.15-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Mon Feb 18 2019 Michal Schorm <mschorm@redhat.com> - 8.0.15-1
- Rebase to 8.0.15

* Fri Feb 01 2019 Fedora Release Engineering <releng@fedoraproject.org> - 8.0.13-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Fri Nov 30 2018 Michal Schorm <mschorm@redhat.com> - 8.0.13-2
- Disable building with GUI Symlink to shared library fix Small tweaks

* Fri Nov 30 2018 Lars Tangvald <lars.tangvald@oracle.com> - 8.0.13-1
- Update to MySQL Connector/ODBC 8.0.13

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 5.3.10-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Mon Jul 09 2018 Igor Gnatenko <ignatenko@redhat.com> - 5.3.10-3
- add BuildRequires: gcc-c++,gcc

* Thu Feb 08 2018 Fedora Release Engineering <releng@fedoraproject.org> - 5.3.10-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Mon Feb 05 2018 Norvald H. Ryeng <norvald.ryeng@oracle.com> - 5.3.10-1
- Update to MySQL Connector/ODBC 5.3.10

* Tue Jan 30 2018 Michal Schorm <mschorm@redhat.com> - 5.3.9-4
- Fix ldconfig scriptlets

* Sun Jan 14 2018 Michal Schorm <mschorm@redhat.com> - 5.3.9-3
- Bump release for rebuild agains new version of community-mysql package.
  Remove "Suggests:" for mysql server as the connector can be used against
  remote server. Add Provides for the static bundled library

* Wed Jan 03 2018 Michal Schorm <mschorm@redhat.com> - 5.3.9-2
- Addition to last commit

* Wed Jan 03 2018 Michal Schorm <mschorm@redhat.com> - 5.3.9-1
- Begin building against static library, dynamic linking is not supported
  from 5.3.6 version https://bugs.mysql.com/bug.php?id=82202 Begin building
  against community-mysql again, MariaDB files used to build this
  connectors are no longer available Drop Group tag as it shouldn't be used
  anymore Disable several patches, they need to be examined if still
  applicable and updated

* Thu Aug 03 2017 Fedora Release Engineering <releng@fedoraproject.org> - 5.3.4-9
- Rebuilt for
  https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 5.3.4-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 5.3.4-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 5.3.4-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Dennis Gilmore <dennis@ausil.us> - 5.3.4-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Wed Jun 10 2015 Jakub Dorňák <jdornak@redhat.com> - 5.3.4-4
- bump release

* Wed Jun 10 2015 Jakub Dorňák <jdornak@redhat.com> - 5.3.4-3
- fixed x_free patch

* Tue Jun 09 2015 Jakub Dorňák <jdornak@redhat.com> - 5.3.4-2
- Fix x_free() call

* Tue Jun 09 2015 Jakub Dorňák <jdornak@redhat.com> - 5.3.4-1
- rebase to 5.3.4

* Sat May 02 2015 Kalev Lember <kalevlember@gmail.com> - 5.3.2-3
- Rebuilt for GCC 5 C++11 ABI change

* Sun Aug 17 2014 Peter Robinson <pbrobinson@fedoraproject.org> - 5.3.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Mon Jun 16 2014 Jakub Dorňák <jdornak@redhat.com> - 5.3.2-1
- Rebase to version 5.3.2 MariaDB 10 compatibility

* Sat Jun 07 2014 Dennis Gilmore <dennis@ausil.us> - 5.2.6-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri Jan 24 2014 Jakub Dorňák <jdornak@redhat.com> - 5.2.6-2
- add back lost mysql-mysys.tar.gz

* Fri Jan 24 2014 Jakub Dorňák <jdornak@redhat.com> - 5.2.6-1
- Update to 2.5.6 Resolves: #1047895

* Wed Jan 08 2014 Marcin Juszkiewicz <mjuszkiewicz redhat com> - 5.2.5-8
- mysql-connector-odbc-5.2.5-aarch64.patch

* Thu Dec 12 2013 Jakub Dorňák <jdornak@redhat.com> - 5.2.5-7
- format-security Resolves: #1037209

* Sat Aug 03 2013 Dennis Gilmore <dennis@ausil.us> - 5.2.5-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Mon Jun 17 2013 Honza Horák <hhorak@redhat.com> - 5.2.5-5
- Avoid potential segfault Resolves: #974794

* Fri May 24 2013 Honza Horák <hhorak@redhat.com> - 5.2.5-4
- fix compiling on mariadb

* Fri May 24 2013 Honza Horák <hhorak@redhat.com> - 5.2.5-3
- Add missing patch file

* Fri May 24 2013 Honza Horák <hhorak@redhat.com> - 5.2.5-2
- Enlarge buffer size for query string when getting info about tables
  Related: #948619

* Fri May 24 2013 Honza Horák <hhorak@redhat.com> - 5.2.5-1
- Update to 5.2.5

* Wed Apr 03 2013 Honza Horák <hhorak@redhat.com> - 5.2.4-3
- Fix libdir in cmake for ppc64

* Wed Mar 27 2013 Honza Horák <hhorak@redhat.com> - 5.2.4-2
- Added new sources

* Wed Mar 27 2013 Honza Horák <hhorak@redhat.com> - 5.2.4-1
- Update to 5.2.4

* Fri Mar 01 2013 Honza Horák <hhorak@redhat.com> - 5.1.11-3
- Fix data types for mariadb

* Thu Feb 14 2013 Dennis Gilmore <dennis@ausil.us> - 5.1.11-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Mon Jul 23 2012 Tom Lane <tgl@redhat.com> - 5.1.11-1
- Update to 5.1.11

* Fri Jul 20 2012 Dennis Gilmore <dennis@ausil.us> - 5.1.10-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sun Feb 05 2012 Tom Lane <tgl@redhat.com> - 5.1.10-1
- Update to 5.1.10

* Tue Jan 10 2012 Tom Lane <tgl@redhat.com> - 5.1.9-2
- Add --with-unixODBC-libs to configure command

* Tue Jan 10 2012 Tom Lane <tgl@redhat.com> - 5.1.9-1
- Update to 5.1.9

* Wed Mar 23 2011 Tom Lane <tgl@redhat.com> - 5.1.8-4
- Adjust CFLAGS for compatibility with mysql 5.5.10.

* Tue Mar 22 2011 Tom Lane <tgl@redhat.com> - 5.1.8-3
- Rebuild for libmysqlclient 5.5.10 soname version bump

* Tue Feb 08 2011 Dennis Gilmore <dennis@ausil.us> - 5.1.8-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Dec 24 2010 Tom Lane <tgl@redhat.com> - 5.1.8-1
- Update to 5.1.8, sync with mysql 5.5

* Thu Jul 29 2010 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 5.1.5r1144-12
- dist-git conversion

* Fri Jun 25 2010 Tom Lane <tgl@fedoraproject.org> - 5.1.5r1144-11
- Clean up some unnecessary specfile cruft, per suggestions from Joe Orton.

* Thu Jan 21 2010 Tom Lane <tgl@fedoraproject.org> - 5.1.5r1144-10
- Correct Source tag to reflect how to get the tarball

* Wed Nov 25 2009 Bill Nottingham <notting@fedoraproject.org> - 5.1.5r1144-9
- Fix typo that causes a failure to update the common directory. (releng
  #2781)

* Fri Aug 21 2009 Tomáš Mráz <tmraz@fedoraproject.org> - 5.1.5r1144-8
- rebuilt with new openssl

* Sat Jul 25 2009 Jesse Keating <jkeating@fedoraproject.org> - 5.1.5r1144-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Jesse Keating <jkeating@fedoraproject.org> - 5.1.5r1144-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Fri Feb 20 2009 Tom Lane <tgl@fedoraproject.org> - 5.1.5r1144-5
- Fix some 64-bitness issues with unixODBC 2.2.14

* Fri Feb 20 2009 Tom Lane <tgl@fedoraproject.org> - 5.1.5r1144-4
- Rebuild for unixODBC 2.2.14

* Fri Jan 23 2009 Tom Lane <tgl@fedoraproject.org> - 5.1.5r1144-3
- Adjust changelog date for actual build date.

* Wed Jan 14 2009 Tom Lane <tgl@fedoraproject.org> - 5.1.5r1144-2
- Add link to upstream bug report

* Wed Jan 14 2009 Tom Lane <tgl@fedoraproject.org> - 5.1.5r1144-1
- Update to mysql-connector-odbc 5.1.5r1144

* Tue Aug 05 2008 Tom Lane <tgl@fedoraproject.org> - 3.51.26r1127-1
- Update to mysql-connector-odbc 3.51.26r1127

* Wed Mar 26 2008 Tom Lane <tgl@fedoraproject.org> - 3.51.24r1071-1
- Update to mysql-connector-odbc 3.51.24r1071

* Tue Feb 12 2008 Tom Lane <tgl@fedoraproject.org> - 3.51.23r998-1
- Update to mysql-connector-odbc 3.51.23r998

* Wed Dec 05 2007 Tom Lane <tgl@fedoraproject.org> - 3.51.14r248-5
- Rebuild for new openssl

* Mon Oct 15 2007 Bill Nottingham <notting@fedoraproject.org> - 3.51.14r248-4
- makefile update to properly grab makefile.common

* Fri Aug 03 2007 Tom Lane <tgl@fedoraproject.org> - 3.51.14r248-3
- Adjust License tag per spot's recommendation

* Thu Aug 02 2007 Tom Lane <tgl@fedoraproject.org> - 3.51.14r248-2
- Update License tag

* Fri Apr 20 2007 Tom Lane <tgl@fedoraproject.org> - 3.51.14r248-1
- Update to mysql-connector-odbc 3.51.14r248-1

* Mon Jul 17 2006 Tom Lane <tgl@fedoraproject.org> - 3.51.12-7
- mass rebuild

* Mon Jul 17 2006 Tom Lane <tgl@fedoraproject.org> - 3.51.12-6
- mass rebuild

* Mon Mar 27 2006 Tom Lane <tgl@fedoraproject.org> - 3.51.12-5
- Remove DLL-unload cleanup call from connection shutdown (bz#185343)

* Sat Feb 11 2006 Jesse Keating <jkeating@fedoraproject.org> - 3.51.12-4
- bump for bug in double-long on ppc(64)

* Tue Feb 07 2006 Jesse Keating <jkeating@fedoraproject.org> - 3.51.12-3
- bump for new gcc/glibc

* Fri Dec 09 2005 Jesse Keating <jkeating@fedoraproject.org> - 3.51.12-2
- gcc update bump

* Fri Nov 11 2005 Tom Lane <tgl@fedoraproject.org> - 3.51.12-1
- auto-import mysql-connector-odbc-3.51.12-1 on branch devel from mysql-
  connector-odbc-3.51.12-1.src.rpm
## END: Generated by rpmautospec
